Bug 250417 - Review Request: guile-cairo - The Cairo graphics library for Guile Scheme
Review Request: guile-cairo - The Cairo graphics library for Guile Scheme
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 10:07 EDT by Xavier Lamien
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 14:19:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Lamien 2007-08-01 10:07:59 EDT
Spec URL: http://laxathom.fedorapeople.org/RPMS/guile-cairo/guile-cairo.spec
SRPM URL: http://laxathom.fedorapeople.org/RPMS/guile-cairo/guile-cairo-1.4.0-2.fc8.src.rpm

Description:
Guile-Cairo wraps the Cairo graphics library for Guile Scheme
Comment 1 Mamoru TASAKA 2007-08-01 14:25:00 EDT
For 1.4.0-2:

* Dependency for main/subpackage
  - Usually the dependency for main/subpackage must be version-release
    specific.

* Redundant BuildRequires
  - cairo-devel requires freetype-devel
  - cairo-devel requires pkgconfig (also see below)

* pkgconfig dependency
  - Packages containing pkgconfig .pc file must have
    "Requires: pkgconfig"

* "#include" message in header files
  - Check the dependency of -devel package, especially check what
    files the header files in -devel package needs to "include".

    The initial check can be done by:
----------------------------------------------------------------
$ grep -h 'include ' `rpm -ql guile-cairo-devel` | sort | uniq
#include <cairo-svg.h>
#include <cairo.h>
#include <guile-cairo-enum-types.h>
#include <guile-cairo-smob-types.h>
#include <guile-cairo-vector-types.h>
#include <libguile.h>
----------------------------------------------------------------
    And actually /usr/include/guile-cairo/guile-cairo.h contains:
----------------------------------------------------------------
    26  
    27  #include <cairo.h>
    28  #include <libguile.h>
    29  
----------------------------------------------------------------
    , which means that -devel package must require
    cairo-devel and guile-devel.

* Documents
  - Please add the following:
-----------------------------------------------------------------
NEWS
TODO
-----------------------------------------------------------------
Comment 3 Mamoru TASAKA 2007-08-02 11:16:16 EDT
(In reply to comment #1)
> For 1.4.0-2:
> 
> * Dependency for main/subpackage
>   - Usually the dependency for main/subpackage must be version-release
>     specific.
  - Well, this means that -devel subpackage should have:
    "Requires: %{name} = %{version}-%{release}", not
    "Requiers: %{name} = %{version}".

> * pkgconfig dependency
>   - Packages containing pkgconfig .pc file must have
>     "Requires: pkgconfig"
  - -devel package contains .pc file so -devel package should have
    "Requires: pkgconfig", not main package.
Comment 4 Xavier Lamien 2007-08-02 13:35:55 EDT
oops,
Sorry for the typo.

I've just fix this in the same release *-3 (as its spawned to cleanly fix those
issues)

http://laxathom.fedorapeople.org/RPMS/guile-cairo/guile-cairo.spec
http://laxathom.fedorapeople.org/RPMS/guile-cairo/guile-cairo-1.4.0-3.fc8.src.rpm


Comment 5 Mamoru TASAKA 2007-08-02 14:48:10 EDT
(In reply to comment #4)
> oops,
> Sorry for the typo.
> 
> I've just fix this in the same release *-3 (as its spawned to cleanly fix those
> issues)
> 
> http://laxathom.fedorapeople.org/RPMS/guile-cairo/guile-cairo.spec
> http://laxathom.fedorapeople.org/RPMS/guile-cairo/guile-cairo-1.4.0-3.fc8.src.rpm
> 
  It seems your srpm does not fix the issue?
> 

Comment 6 Xavier Lamien 2007-08-02 15:33:39 EDT
my bad, i uploaded the main package instead of the fixed srpm.
Comment 7 Xavier Lamien 2007-08-02 15:44:07 EDT
Okay, the right one has been uploaded, same location.
Comment 8 Mamoru TASAKA 2007-08-03 08:17:01 EDT
For -3:

* License
  - Well, as we now see the discussion of the license tag on
    -devel list, license tag policy is changed.
    https://www.redhat.com/archives/fedora-devel-list/2007-August/msg00108.html

    For this package, please use "LGPLv2+".

--------------------------------------------------------------
   This package (guile-cairo) is APPROVED by me
--------------------------------------------------------------
Comment 9 Xavier Lamien 2007-08-03 08:29:56 EDT
Sure, it'll done before importing ;).
Comment 10 Xavier Lamien 2007-08-03 08:31:24 EDT
New Package CVS Request
=======================
Package Name: guile-cairo
Short Description: The Cairo graphics library for Guile Scheme
Owners: lxtnow@gmail.com
Branches: FC-6 F-7 EL-4 EL-5 Devel
InitialCC:

Comment 11 Kevin Fenzi 2007-08-03 12:54:08 EDT
cvs done.
Comment 12 Xavier Lamien 2007-08-03 14:19:29 EDT
Imported & built.

Thanks all.
Comment 13 Chitlesh GOORAH 2007-08-04 10:02:53 EDT
This is a typo in the spec file, that unables the installation of guile-cairo
http://laxathom.fedorapeople.org/RPMS/guile-cairo/guile-cairo.spec

Line 30: Requires:       pkconfig
It should be:
Requires:       pkg-config

[root@goorah chitlesh]# rpm -Uvh guile-cairo-*
error: Failed dependencies:
        pkconfig is needed by guile-cairo-devel-1.4.0-3.fc7.i386
(rpms from: http://koji.fedoraproject.org/koji/buildinfo?buildID=12758 )

Can you fix it and build them as should as possible to prevent yum failures ?
Comment 14 Mamoru TASAKA 2007-08-04 10:16:28 EDT
(In reply to comment #13)
> This is a typo in the spec file, that unables the installation of guile-cairo
> http://laxathom.fedorapeople.org/RPMS/guile-cairo/guile-cairo.spec
> 
> Line 30: Requires:       pkconfig
- Ah.. Sorry I didn't notify it (note I don't have the right to
  fix this)

> It should be:
> Requires:       pkg-config
  Well, it should be "Requires: pkgconfig", not pkg-config
Comment 15 Xavier Lamien 2007-08-04 11:26:11 EDT
Fixed & rebuilt.
Thanks for notify

Note You need to log in before you can comment on or make changes to this bug.